## Function(checked)zTreeObj.checkAllNodes

### Overview[ depends on jquery.ztree.excheck js ]

Check or unCheck all nodes which have been initialized. It is valid when [setting.check.enable = true & setting.check.chkStyle = "checkbox"]

This method does not trigger 'beforeCheck' or 'onCheck' callback function.

Please use zTree object to executing the method.

### Function Parameter Descriptions

#### checked Boolean

checked = true means: check all nodes.

checked = false means: uncheck all nodes.

Don't affect the node which 'nocheck' attribute is true.

Don't affect the node is not loaded.

#### Return none

no return value

### Examples of function

#### 1. check all nodes

    var treeObj = $.fn.zTree.getZTreeObj("tree");
    treeObj.checkAllNodes(true);